> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# addStateRegistrationForWashington

> The respective  Code of the State is entered for Verification



## OpenAPI

````yaml post /stateRegistration#addStateRegistrationForWashington
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /stateRegistration#addStateRegistrationForWashington:
    post:
      tags: []
      summary: addStateRegistrationForWashington
      description: The respective  Code of the State is entered for Verification
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addStateRegistrationForWashington
                companyId:
                  type: string
                code:
                  type: string
                companyStateRegistration:
                  type: object
                  properties:
                    EAF Tax Rate:
                      type: string
                    Employment Security Department Account Number:
                      type: string
                    Labor and Industries Account Number:
                      type: string
                    Required to pay PFML employer portion?:
                      type: string
                    Unemployment Rate:
                      type: string
                    Universal Business ID (UBI):
                      type: string
                  required:
                    - EAF Tax Rate
                    - Employment Security Department Account Number
                    - Labor and Industries Account Number
                    - Required to pay PFML employer portion?
                    - Unemployment Rate
                    - Universal Business ID (UBI)
              required:
                - method
                - companyId
                - code
                - companyStateRegistration
            example:
              method: addStateRegistration
              companyId: 962D5035-6F51-41D3-94E8-1BF7A00955CF
              code: WA
              companyStateRegistration:
                EAF Tax Rate: '2.3'
                Employment Security Department Account Number: '569856663'
                Labor and Industries Account Number: '655568852'
                Required to pay PFML employer portion?: 'Yes'
                Unemployment Rate: '2.5'
                Universal Business ID (UBI): '741265586'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                status: Success
                message: >-
                  The company state registrations for Lakin LLC have been saved
                  successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````